# Method: projects.locations.registrations.register

- [HTTP request](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/register#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/register#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/register#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/register#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/register#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/register#body.aspect)
- [Try it!](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/register#try-it)

Registers a new domain name and creates a corresponding `Registration` resource.

Call `registrations.retrieveRegisterParameters` first to check availability of the domain name and determine parameters like price that are needed to build a call to this method.

A successful call creates a `Registration` resource in state `REGISTRATION_PENDING`, which resolves to `ACTIVE` within 1-2 minutes, indicating that the domain was successfully registered. If the resource ends up in state `REGISTRATION_FAILED`, it indicates that the domain was not registered successfully, and you can safely delete the resource and retry registration.

### HTTP request

`POST https://domains.googleapis.com/v1/{parent=projects/*/locations/*}/registrations:register`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource of the `Registration`. Must be in the format `projects/*/locations/*`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `domains.registrations.create` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "registration": { object (`https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations#Registration`) }, "domainNotices": [ enum (`https://docs.cloud.google.com/domains/docs/reference/rest/v1/DomainNotice`) ], "contactNotices": [ enum (`https://docs.cloud.google.com/domains/docs/reference/rest/v1/ContactNotice`) ], "yearlyPrice": { object (`https://docs.cloud.google.com/domains/docs/reference/rest/Shared.Types/Money`) }, "validateOnly": boolean } ``` |

| Fields ||
|---|---|
| `registration` | ``object (`https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations#Registration`)`` Required. The complete `Registration` resource to be created. |
| `domainNotices[]` | ``enum (`https://docs.cloud.google.com/domains/docs/reference/rest/v1/DomainNotice`)`` The list of domain notices that you acknowledge. Call `registrations.retrieveRegisterParameters` to see the notices that need acknowledgement. |
| `contactNotices[]` | ``enum (`https://docs.cloud.google.com/domains/docs/reference/rest/v1/ContactNotice`)`` The list of contact notices that the caller acknowledges. The notices needed here depend on the values specified in `registration.contact_settings`. |
| `yearlyPrice` | ``object (`https://docs.cloud.google.com/domains/docs/reference/rest/Shared.Types/Money`)`` Required. Yearly price to register or renew the domain. The value that should be put here can be obtained from registrations.retrieveRegisterParameters or registrations.searchDomains calls. |
| `validateOnly` | `boolean` When true, only validation is performed, without actually registering the domain. Follows: <https://cloud.google.com/apis/design/design_patterns#request_validation> |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/domains/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).